Name:           cameractrls
Version:        0.6.6
Release:        1%{?dist}
Summary:        Camera controls for Linux

License:        GPL-3.0-or-later
URL:            https://github.com/soyersoyer/cameractrls
Source0:        https://github.com/soyersoyer/cameractrls/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gtk4-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  python3-devel
BuildRequires:  python3-gobject
BuildRequires:  SDL2-devel
BuildRequires:  desktop-file-utils
Requires:       gtk4
Requires:       libjpeg-turbo
Requires:       python3
Requires:       python3-gobject
Requires:       SDL2

%description
Camera controls for Linux.

%prep
%setup -q

# Use Gtk 4
desktop-file-edit --set-key=Exec --set-value=cameractrlsgtk4 pkg/hu.irl.cameractrls.desktop

%install
install -Dm755 camera{ctrls,ctrlsd,ctrlsgtk4,ptzgame,ptzmidi,ptzspnav,view}.py -t \
  %{buildroot}%{python3_sitelib}/CameraCtrls/
install -Dm644 pkg/hu.irl.cameractrls.svg -t %{buildroot}%{python3_sitelib}/CameraCtrls/images/
install -Dm644 pkg/hu.irl.cameractrls.metainfo.xml -t %{buildroot}/usr/share/metainfo/
install -Dm644 LICENSE -t %{buildroot}/usr/share/licenses/%{name}/
install -Dm644 pkg/hu.irl.cameractrls.desktop -t %{buildroot}/usr/share/applications/

install -d %{buildroot}/usr/{bin,share/icons/hicolor/scalable/apps}
ln -s ${SITE_PACKAGES}/CameraCtrls/cameractrls.py %{buildroot}/usr/bin/%{name}
ln -s ${SITE_PACKAGES}/CameraCtrls/cameractrlsd.py %{buildroot}/usr/bin/%{name}d
ln -s ${SITE_PACKAGES}/CameraCtrls/cameractrlsgtk4.py %{buildroot}/usr/bin/%{name}gtk4
ln -s ${SITE_PACKAGES}/CameraCtrls/images/hu.irl.cameractrls.svg %{buildroot}/usr/share/icons/hicolor/scalable/apps/hu.irl.cameractrls.svg

%files
%{python3_sitelib}/CameraCtrls/
%{python3_sitelib}/CameraCtrls/images/
%{_datadir}/metainfo/
%{_datadir}/applications/
%{_bindir}/%{name}
%{_bindir}/%{name}d
%{_bindir}/%{name}gtk4
%{_datadir}/icons/hicolor/scalable/apps/hu.irl.cameractrls.svg
%license LICENSE

%changelog
%autochangelog
